> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Coding Variants Phenotypes Count

> Retrieve counts of coding variants associated with phenotypes.

Example: gene_id = ENSG00000165841,

files_fileset = IGVFFI6893ZOAA.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /coding-variants/phenotypes-count
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /coding-variants/phenotypes-count:
    get:
      summary: Coding Variants Phenotypes Count
      description: |-
        Retrieve counts of coding variants associated with phenotypes.

        Example: gene_id = ENSG00000165841,

        files_fileset = IGVFFI6893ZOAA.
      operationId: codingVariantsCountFromGene
      parameters:
        - name: gene_id
          in: query
          required: true
          schema:
            type: string
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    method:
                      type: string
                    count:
                      type: number
                  required:
                    - method
                    - count
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````